VoterGuideOS

Get district by ID

Returns a single district by id.

GET
/districts/{id}

Path Parameters

id*string

District id.

Match^[a-fA-F0-9]{24}$

Header Parameters

X-Organization-Id*string

The ID of the organization making the request.

Response Body

application/json

District response.

TypeScript Definitions

Use the response body type in TypeScript.

curl -X GET "https://example.com/districts/65d4f20f8f5a4d7e9a123456" \  -H "X-Organization-Id: org_123"
{
  "_id": "5f398f1bb644373788484720",
  "type": "state-house",
  "matchName": "ga-house-77",
  "createdAt": "2020-08-16T19:55:07.253Z",
  "updatedAt": "2022-03-31T03:08:23.864Z",
  "number": 77,
  "parentId": "5f398f1bb64437378848477a",
  "votingType": "voting-district",
  "population": 59511,
  "parentsFlat": [
    "5f398f1bb64437378848477a"
  ],
  "populationType": "divided",
  "intersectingCities": [
    "610dba0152ecf330c08687c2",
    "610d80c3e8dc2c24873be6a6",
    "610db9ec52ecf330c086876a",
    "610db9e952ecf330c086875e"
  ],
  "intersectingCounties": [
    "5f398f1cb6443737884848d4"
  ],
  "name": null,
  "parent": "Georgia",
  "translationAvailable": true,
  "longName": "State House District 77",
  "shortName": "District 77"
}